Gtk2::Layout(3)

NAME
Gtk2::Layout - wrapper for GtkLayout

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Layout

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Layout->new ($hadjustment=undef, $vadjustment=undef)

•   $hadjustment (Gtk2::Adjustment or undef)

•   $vadjustment (Gtk2::Adjustment or undef)

  window or undef = $layout->get_bin_window

  $layout->freeze

  adjustment = $layout->get_hadjustment

  $layout->set_hadjustment ($adjustment)

•   $adjustment (Gtk2::Adjustment)

  $layout->move ($child_widget, $x, $y)

•   $child_widget (Gtk2::Widget)

•   $x (integer)

•   $y (integer)

  $layout->put ($child_widget, $x, $y)

•   $child_widget (Gtk2::Widget)

•   $x (integer)

•   $y (integer)

  (width, height) = $layout->get_size

  $layout->set_size ($width, $height)

•   $width (integer)

•   $height (integer)

  $layout->thaw

  adjustment = $layout->get_vadjustment

  $layout->set_vadjustment ($adjustment)

•   $adjustment (Gtk2::Adjustment)

PROPERTIES

'hadjustment' (Gtk2::Adjustment : default undef : readable / writable / private)
    The GtkAdjustment for the horizontal position

'height' (Glib::UInt : default 100 : readable / writable / private)
    The height of the layout

'vadjustment' (Gtk2::Adjustment : default undef : readable / writable / private)
    The GtkAdjustment for the vertical position

'width' (Glib::UInt : default 100 : readable / writable / private)
    The width of the layout

CHILD PROPERTIES

'x' (integer : default 0 : readable / writable / private)
    X position of child widget

'y' (integer : default 0 : readable / writable / private)
    Y position of child widget

SIGNALS

set-scroll-adjustments (Gtk2::Layout, Gtk2::Adjustment, Gtk2::Adjustment)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.